/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package dubbo

import (
	"github.com/apache/dubbo-go-pixiu/pixiu/pkg/model"
)

// DubboProxyConfig the config for dubbo proxy
type DubboProxyConfig struct {
	// Registries such as zk,nacos or etcd
	Registries map[string]model.Registry `yaml:"registries" json:"registries"`
	// Timeout
	Timeout *model.TimeoutConfig `yaml:"timeout_config" json:"timeout_config"`
	// IsDefaultMap whether to use DefaultMap role
	IsDefaultMap bool
	// AutoResolve whether to resolve api config from request
	AutoResolve bool `yaml:"auto_resolve" json:"auto_resolve,omitempty"`
	// Protoset path to load protoset files
	Protoset []string `yaml:"protoset" json:"protoset,omitempty"`
}
